Environment Config
==================

This document was auto generated by `benthos_config_gen`.

The environment variables config [`default.yaml`](default.yaml) is an
auto generated Benthos configuration where _all_ fields can be set with
environment variables. The architecture of the config is a standard bridge
between N replicated sources, M replicated sinks and an optional buffer and
processing pipeline between them.

The original intent of this config is to be deployed within a docker image, but
as it is a standard config it can be used in other deployments.

In order to use this config simply define your env vars and point Benthos to it.
For example, to send Kafka data to RabbitMQ you can run:

``` sh
INPUT_TYPE=kafka_balanced \
  INPUT_KAFKA_ADDRESSES=localhost:9092 \
  INPUT_KAFKA_TOPIC=foo-topic \
  INPUT_KAFKA_CONSUMER_GROUP=foo-consumer \
  OUTPUT_TYPE=amqp \
  OUTPUT_AMQP_URL=amqp://guest:guest@localhost:5672/ \
  OUTPUT_AMQP_EXCHANGE=foo-exchange \
  OUTPUT_AMQP_EXCHANGE_TYPE=direct \
  benthos -c ./config/env/default.yaml
```

All variables within the config are listed in this document.

## Contents

- [HTTP](#http)
- [INPUT](#input)
- [BUFFER](#buffer)
- [PROCESSOR](#processor)
- [OUTPUT](#output)
- [LOGGER](#logger)
- [METRICS](#metrics)

## HTTP

```
HTTP_ADDRESS         = 0.0.0.0:4195
HTTP_CERT_FILE
HTTP_DEBUG_ENDPOINTS = false
HTTP_ENABLED         = true
HTTP_KEY_FILE
HTTP_READ_TIMEOUT    = 5s
HTTP_ROOT_PATH       = /benthos
```

## INPUT

```
INPUTS                                               = 1
INPUT_TYPE                                           = dynamic
INPUT_AMQP_0_9_AUTO_ACK                              = false
INPUT_AMQP_0_9_BATCHING_BYTE_SIZE                    = 0
INPUT_AMQP_0_9_BATCHING_CHECK
INPUT_AMQP_0_9_BATCHING_COUNT                        = 0
INPUT_AMQP_0_9_BATCHING_PERIOD
INPUT_AMQP_0_9_CONSUMER_TAG                          = benthos-consumer
INPUT_AMQP_0_9_PREFETCH_COUNT                        = 10
INPUT_AMQP_0_9_PREFETCH_SIZE                         = 0
INPUT_AMQP_0_9_QUEUE                                 = benthos-queue
INPUT_AMQP_0_9_QUEUE_DECLARE_DURABLE                 = true
INPUT_AMQP_0_9_QUEUE_DECLARE_ENABLED                 = false
INPUT_AMQP_0_9_TLS_ENABLED                           = false
INPUT_AMQP_0_9_TLS_ROOT_CAS_FILE
INPUT_AMQP_0_9_TLS_SKIP_CERT_VERIFY                  = false
INPUT_AMQP_0_9_URL                                   = amqp://guest:guest@localhost:5672/
INPUT_AMQP_1_SASL_MECHANISM                          = none
INPUT_AMQP_1_SASL_PASSWORD
INPUT_AMQP_1_SASL_USER
INPUT_AMQP_1_SOURCE_ADDRESS
INPUT_AMQP_1_TLS_ENABLED                             = false
INPUT_AMQP_1_TLS_ROOT_CAS_FILE
INPUT_AMQP_1_TLS_SKIP_CERT_VERIFY                    = false
INPUT_AMQP_1_URL
INPUT_AMQP_CONSUMER_TAG                              = benthos-consumer
INPUT_AMQP_MAX_BATCH_COUNT                           = 1
INPUT_AMQP_PREFETCH_COUNT                            = 10
INPUT_AMQP_PREFETCH_SIZE                             = 0
INPUT_AMQP_QUEUE                                     = benthos-queue
INPUT_AMQP_QUEUE_DECLARE_DURABLE                     = true
INPUT_AMQP_QUEUE_DECLARE_ENABLED                     = false
INPUT_AMQP_TLS_ENABLED                               = false
INPUT_AMQP_TLS_ROOT_CAS_FILE
INPUT_AMQP_TLS_SKIP_CERT_VERIFY                      = false
INPUT_AMQP_URL                                       = amqp://guest:guest@localhost:5672/
INPUT_AWS_KINESIS_BATCHING_BYTE_SIZE                 = 0
INPUT_AWS_KINESIS_BATCHING_CHECK
INPUT_AWS_KINESIS_BATCHING_COUNT                     = 0
INPUT_AWS_KINESIS_BATCHING_PERIOD
INPUT_AWS_KINESIS_CHECKPOINT_LIMIT                   = 1
INPUT_AWS_KINESIS_COMMIT_PERIOD                      = 5s
INPUT_AWS_KINESIS_CREDENTIALS_ID
INPUT_AWS_KINESIS_CREDENTIALS_PROFILE
INPUT_AWS_KINESIS_CREDENTIALS_ROLE
INPUT_AWS_KINESIS_CREDENTIALS_ROLE_EXTERNAL_ID
INPUT_AWS_KINESIS_CREDENTIALS_SECRET
INPUT_AWS_KINESIS_CREDENTIALS_TOKEN
INPUT_AWS_KINESIS_DYNAMODB_BILLING_MODE              = PAY_PER_REQUEST
INPUT_AWS_KINESIS_DYNAMODB_CREATE                    = false
INPUT_AWS_KINESIS_DYNAMODB_READ_CAPACITY_UNITS       = 0
INPUT_AWS_KINESIS_DYNAMODB_TABLE
INPUT_AWS_KINESIS_DYNAMODB_WRITE_CAPACITY_UNITS      = 0
INPUT_AWS_KINESIS_ENDPOINT
INPUT_AWS_KINESIS_LEASE_PERIOD                       = 30s
INPUT_AWS_KINESIS_REBALANCE_PERIOD                   = 30s
INPUT_AWS_KINESIS_REGION                             = eu-west-1
INPUT_AWS_KINESIS_START_FROM_OLDEST                  = true
INPUT_AWS_S3_BUCKET
INPUT_AWS_S3_CODEC                                   = all-bytes
INPUT_AWS_S3_CREDENTIALS_ID
INPUT_AWS_S3_CREDENTIALS_PROFILE
INPUT_AWS_S3_CREDENTIALS_ROLE
INPUT_AWS_S3_CREDENTIALS_ROLE_EXTERNAL_ID
INPUT_AWS_S3_CREDENTIALS_SECRET
INPUT_AWS_S3_CREDENTIALS_TOKEN
INPUT_AWS_S3_DELETE_OBJECTS                          = false
INPUT_AWS_S3_ENDPOINT
INPUT_AWS_S3_FORCE_PATH_STYLE_URLS                   = false
INPUT_AWS_S3_PREFIX
INPUT_AWS_S3_REGION                                  = eu-west-1
INPUT_AWS_S3_SQS_BUCKET_PATH                         = Records.*.s3.bucket.name
INPUT_AWS_S3_SQS_DELAY_PERIOD
INPUT_AWS_S3_SQS_ENDPOINT
INPUT_AWS_S3_SQS_ENVELOPE_PATH
INPUT_AWS_S3_SQS_KEY_PATH                            = Records.*.s3.object.key
INPUT_AWS_S3_SQS_MAX_MESSAGES                        = 10
INPUT_AWS_S3_SQS_URL
INPUT_AWS_SQS_CREDENTIALS_ID
INPUT_AWS_SQS_CREDENTIALS_PROFILE
INPUT_AWS_SQS_CREDENTIALS_ROLE
INPUT_AWS_SQS_CREDENTIALS_ROLE_EXTERNAL_ID
INPUT_AWS_SQS_CREDENTIALS_SECRET
INPUT_AWS_SQS_CREDENTIALS_TOKEN
INPUT_AWS_SQS_DELETE_MESSAGE                         = true
INPUT_AWS_SQS_ENDPOINT
INPUT_AWS_SQS_REGION                                 = eu-west-1
INPUT_AWS_SQS_URL
INPUT_AZURE_BLOB_STORAGE_CODEC                       = all-bytes
INPUT_AZURE_BLOB_STORAGE_CONTAINER
INPUT_AZURE_BLOB_STORAGE_DELETE_OBJECTS              = false
INPUT_AZURE_BLOB_STORAGE_PREFIX
INPUT_AZURE_BLOB_STORAGE_STORAGE_ACCESS_KEY
INPUT_AZURE_BLOB_STORAGE_STORAGE_ACCOUNT
INPUT_AZURE_BLOB_STORAGE_STORAGE_CONNECTION_STRING
INPUT_AZURE_BLOB_STORAGE_STORAGE_SAS_TOKEN
INPUT_AZURE_QUEUE_STORAGE_QUEUE_NAME
INPUT_AZURE_QUEUE_STORAGE_STORAGE_ACCESS_KEY
INPUT_AZURE_QUEUE_STORAGE_STORAGE_ACCOUNT
INPUT_AZURE_QUEUE_STORAGE_STORAGE_CONNECTION_STRING
INPUT_AZURE_QUEUE_STORAGE_STORAGE_SAS_TOKEN
INPUT_BLOBLANG_COUNT                                 = 0
INPUT_BLOBLANG_INTERVAL                              = 1s
INPUT_BLOBLANG_MAPPING
INPUT_CSV_BATCH_COUNT                                = 1
INPUT_CSV_DELIMITER                                  = ","
INPUT_CSV_PARSE_HEADER_ROW                           = true
INPUT_DYNAMIC_PREFIX
INPUT_DYNAMIC_TIMEOUT                                = 5s
INPUT_FILES_DELETE_FILES                             = false
INPUT_FILES_PATH
INPUT_FILE_CODEC                                     = lines
INPUT_FILE_DELETE_ON_FINISH                          = false
INPUT_FILE_DELIMITER
INPUT_FILE_MAX_BUFFER                                = 1000000
INPUT_FILE_MULTIPART                                 = false
INPUT_FILE_PATH
INPUT_GCP_PUBSUB_BATCHING_BYTE_SIZE                  = 0
INPUT_GCP_PUBSUB_BATCHING_CHECK
INPUT_GCP_PUBSUB_BATCHING_COUNT                      = 0
INPUT_GCP_PUBSUB_BATCHING_PERIOD
INPUT_GCP_PUBSUB_MAX_BATCH_COUNT                     = 1
INPUT_GCP_PUBSUB_MAX_OUTSTANDING_BYTES               = 1000000000
INPUT_GCP_PUBSUB_MAX_OUTSTANDING_MESSAGES            = 1000
INPUT_GCP_PUBSUB_PROJECT
INPUT_GCP_PUBSUB_SUBSCRIPTION
INPUT_GENERATE_COUNT                                 = 0
INPUT_GENERATE_INTERVAL                              = 1s
INPUT_GENERATE_MAPPING
INPUT_HDFS_DIRECTORY
INPUT_HDFS_HOSTS                                     = localhost:9000
INPUT_HDFS_USER                                      = benthos_hdfs
INPUT_HTTP_CLIENT_BACKOFF_ON                         = 429
INPUT_HTTP_CLIENT_BASIC_AUTH_ENABLED                 = false
INPUT_HTTP_CLIENT_BASIC_AUTH_PASSWORD
INPUT_HTTP_CLIENT_BASIC_AUTH_USERNAME
INPUT_HTTP_CLIENT_COPY_RESPONSE_HEADERS              = false
INPUT_HTTP_CLIENT_DROP_EMPTY_BODIES                  = true
INPUT_HTTP_CLIENT_HEADERS_CONTENT_TYPE               = application/octet-stream
INPUT_HTTP_CLIENT_MAX_RETRY_BACKOFF                  = 300s
INPUT_HTTP_CLIENT_OAUTH2_CLIENT_KEY
INPUT_HTTP_CLIENT_OAUTH2_CLIENT_SECRET
INPUT_HTTP_CLIENT_OAUTH2_ENABLED                     = false
INPUT_HTTP_CLIENT_OAUTH2_TOKEN_URL
INPUT_HTTP_CLIENT_OAUTH_ACCESS_TOKEN
INPUT_HTTP_CLIENT_OAUTH_ACCESS_TOKEN_SECRET
INPUT_HTTP_CLIENT_OAUTH_CONSUMER_KEY
INPUT_HTTP_CLIENT_OAUTH_CONSUMER_SECRET
INPUT_HTTP_CLIENT_OAUTH_ENABLED                      = false
INPUT_HTTP_CLIENT_OAUTH_REQUEST_URL
INPUT_HTTP_CLIENT_PAYLOAD
INPUT_HTTP_CLIENT_PROXY_URL
INPUT_HTTP_CLIENT_RATE_LIMIT
INPUT_HTTP_CLIENT_RETRIES                            = 3
INPUT_HTTP_CLIENT_RETRY_PERIOD                       = 1s
INPUT_HTTP_CLIENT_STREAM_CODEC                       = lines
INPUT_HTTP_CLIENT_STREAM_DELIMITER
INPUT_HTTP_CLIENT_STREAM_ENABLED                     = false
INPUT_HTTP_CLIENT_STREAM_MAX_BUFFER                  = 1000000
INPUT_HTTP_CLIENT_STREAM_MULTIPART                   = false
INPUT_HTTP_CLIENT_STREAM_RECONNECT                   = true
INPUT_HTTP_CLIENT_TIMEOUT                            = 5s
INPUT_HTTP_CLIENT_TLS_ENABLED                        = false
INPUT_HTTP_CLIENT_TLS_ROOT_CAS_FILE
INPUT_HTTP_CLIENT_TLS_SKIP_CERT_VERIFY               = false
INPUT_HTTP_CLIENT_URL                                = http://localhost:4195/get
INPUT_HTTP_CLIENT_VERB                               = GET
INPUT_HTTP_SERVER_ADDRESS
INPUT_HTTP_SERVER_ALLOWED_VERBS                      = POST
INPUT_HTTP_SERVER_CERT_FILE
INPUT_HTTP_SERVER_KEY_FILE
INPUT_HTTP_SERVER_PATH                               = /post
INPUT_HTTP_SERVER_RATE_LIMIT
INPUT_HTTP_SERVER_SYNC_RESPONSE_HEADERS_CONTENT_TYPE = application/octet-stream
INPUT_HTTP_SERVER_SYNC_RESPONSE_STATUS               = 200
INPUT_HTTP_SERVER_TIMEOUT                            = 5s
INPUT_HTTP_SERVER_WS_PATH                            = /post/ws
INPUT_HTTP_SERVER_WS_RATE_LIMIT_MESSAGE
INPUT_HTTP_SERVER_WS_WELCOME_MESSAGE
INPUT_INPROC
INPUT_KAFKA_ADDRESSES                                = localhost:9092
INPUT_KAFKA_BALANCED_ADDRESSES                       = localhost:9092
INPUT_KAFKA_BALANCED_BATCHING_BYTE_SIZE              = 0
INPUT_KAFKA_BALANCED_BATCHING_CHECK
INPUT_KAFKA_BALANCED_BATCHING_COUNT                  = 0
INPUT_KAFKA_BALANCED_BATCHING_PERIOD
INPUT_KAFKA_BALANCED_CLIENT_ID                       = benthos_kafka_input
INPUT_KAFKA_BALANCED_COMMIT_PERIOD                   = 1s
INPUT_KAFKA_BALANCED_CONSUMER_GROUP                  = benthos_consumer_group
INPUT_KAFKA_BALANCED_FETCH_BUFFER_CAP                = 256
INPUT_KAFKA_BALANCED_GROUP_HEARTBEAT_INTERVAL        = 3s
INPUT_KAFKA_BALANCED_GROUP_REBALANCE_TIMEOUT         = 60s
INPUT_KAFKA_BALANCED_GROUP_SESSION_TIMEOUT           = 10s
INPUT_KAFKA_BALANCED_MAX_BATCH_COUNT                 = 1
INPUT_KAFKA_BALANCED_MAX_PROCESSING_PERIOD           = 100ms
INPUT_KAFKA_BALANCED_SASL_ACCESS_TOKEN
INPUT_KAFKA_BALANCED_SASL_ENABLED                    = false
INPUT_KAFKA_BALANCED_SASL_MECHANISM
INPUT_KAFKA_BALANCED_SASL_PASSWORD
INPUT_KAFKA_BALANCED_SASL_TOKEN_CACHE
INPUT_KAFKA_BALANCED_SASL_TOKEN_KEY
INPUT_KAFKA_BALANCED_SASL_USER
INPUT_KAFKA_BALANCED_START_FROM_OLDEST               = true
INPUT_KAFKA_BALANCED_TARGET_VERSION                  = 1.0.0
INPUT_KAFKA_BALANCED_TLS_ENABLED                     = false
INPUT_KAFKA_BALANCED_TLS_ROOT_CAS_FILE
INPUT_KAFKA_BALANCED_TLS_SKIP_CERT_VERIFY            = false
INPUT_KAFKA_BALANCED_TOPICS                          = benthos_stream
INPUT_KAFKA_BATCHING_BYTE_SIZE                       = 0
INPUT_KAFKA_BATCHING_CHECK
INPUT_KAFKA_BATCHING_COUNT                           = 0
INPUT_KAFKA_BATCHING_PERIOD
INPUT_KAFKA_CHECKPOINT_LIMIT                         = 1
INPUT_KAFKA_CLIENT_ID                                = benthos_kafka_input
INPUT_KAFKA_COMMIT_PERIOD                            = 1s
INPUT_KAFKA_CONSUMER_GROUP                           = benthos_consumer_group
INPUT_KAFKA_FETCH_BUFFER_CAP                         = 256
INPUT_KAFKA_GROUP_HEARTBEAT_INTERVAL                 = 3s
INPUT_KAFKA_GROUP_REBALANCE_TIMEOUT                  = 60s
INPUT_KAFKA_GROUP_SESSION_TIMEOUT                    = 10s
INPUT_KAFKA_MAX_BATCH_COUNT                          = 1
INPUT_KAFKA_MAX_PROCESSING_PERIOD                    = 100ms
INPUT_KAFKA_PARTITION                                = 0
INPUT_KAFKA_SASL_ACCESS_TOKEN
INPUT_KAFKA_SASL_ENABLED                             = false
INPUT_KAFKA_SASL_MECHANISM
INPUT_KAFKA_SASL_PASSWORD
INPUT_KAFKA_SASL_TOKEN_CACHE
INPUT_KAFKA_SASL_TOKEN_KEY
INPUT_KAFKA_SASL_USER
INPUT_KAFKA_START_FROM_OLDEST                        = true
INPUT_KAFKA_TARGET_VERSION                           = 1.0.0
INPUT_KAFKA_TLS_ENABLED                              = false
INPUT_KAFKA_TLS_ROOT_CAS_FILE
INPUT_KAFKA_TLS_SKIP_CERT_VERIFY                     = false
INPUT_KAFKA_TOPIC                                    = benthos_stream
INPUT_KINESIS_BALANCED_BATCHING_BYTE_SIZE            = 0
INPUT_KINESIS_BALANCED_BATCHING_CHECK
INPUT_KINESIS_BALANCED_BATCHING_COUNT                = 0
INPUT_KINESIS_BALANCED_BATCHING_PERIOD
INPUT_KINESIS_BALANCED_CREDENTIALS_ID
INPUT_KINESIS_BALANCED_CREDENTIALS_PROFILE
INPUT_KINESIS_BALANCED_CREDENTIALS_ROLE
INPUT_KINESIS_BALANCED_CREDENTIALS_ROLE_EXTERNAL_ID
INPUT_KINESIS_BALANCED_CREDENTIALS_SECRET
INPUT_KINESIS_BALANCED_CREDENTIALS_TOKEN
INPUT_KINESIS_BALANCED_DYNAMODB_BILLING_MODE
INPUT_KINESIS_BALANCED_DYNAMODB_READ_PROVISION       = 0
INPUT_KINESIS_BALANCED_DYNAMODB_TABLE
INPUT_KINESIS_BALANCED_DYNAMODB_WRITE_PROVISION      = 0
INPUT_KINESIS_BALANCED_ENDPOINT
INPUT_KINESIS_BALANCED_MAX_BATCH_COUNT               = 1
INPUT_KINESIS_BALANCED_REGION                        = eu-west-1
INPUT_KINESIS_BALANCED_START_FROM_OLDEST             = true
INPUT_KINESIS_BALANCED_STREAM
INPUT_KINESIS_BATCHING_BYTE_SIZE                     = 0
INPUT_KINESIS_BATCHING_CHECK
INPUT_KINESIS_BATCHING_COUNT                         = 0
INPUT_KINESIS_BATCHING_PERIOD
INPUT_KINESIS_CLIENT_ID                              = benthos_consumer
INPUT_KINESIS_COMMIT_PERIOD                          = 1s
INPUT_KINESIS_CREDENTIALS_ID
INPUT_KINESIS_CREDENTIALS_PROFILE
INPUT_KINESIS_CREDENTIALS_ROLE
INPUT_KINESIS_CREDENTIALS_ROLE_EXTERNAL_ID
INPUT_KINESIS_CREDENTIALS_SECRET
INPUT_KINESIS_CREDENTIALS_TOKEN
INPUT_KINESIS_DYNAMODB_TABLE
INPUT_KINESIS_ENDPOINT
INPUT_KINESIS_LIMIT                                  = 100
INPUT_KINESIS_REGION                                 = eu-west-1
INPUT_KINESIS_SHARD                                  = 0
INPUT_KINESIS_START_FROM_OLDEST                      = true
INPUT_KINESIS_STREAM
INPUT_KINESIS_TIMEOUT                                = 5s
INPUT_MQTT_CLEAN_SESSION                             = true
INPUT_MQTT_CLIENT_ID                                 = benthos_input
INPUT_MQTT_PASSWORD
INPUT_MQTT_QOS                                       = 1
INPUT_MQTT_STALE_CONNECTION_TIMEOUT
INPUT_MQTT_TOPICS                                    = benthos_topic
INPUT_MQTT_URLS                                      = tcp://localhost:1883
INPUT_MQTT_USER
INPUT_NANOMSG_BIND                                   = true
INPUT_NANOMSG_POLL_TIMEOUT                           = 5s
INPUT_NANOMSG_REPLY_TIMEOUT                          = 5s
INPUT_NANOMSG_SOCKET_TYPE                            = PULL
INPUT_NANOMSG_URLS                                   = tcp://*:5555
INPUT_NATS_PREFETCH_COUNT                            = 32
INPUT_NATS_QUEUE                                     = benthos_queue
INPUT_NATS_STREAM_ACK_WAIT                           = 30s
INPUT_NATS_STREAM_BATCHING_BYTE_SIZE                 = 0
INPUT_NATS_STREAM_BATCHING_CHECK
INPUT_NATS_STREAM_BATCHING_COUNT                     = 0
INPUT_NATS_STREAM_BATCHING_PERIOD
INPUT_NATS_STREAM_CLIENT_ID                          = benthos_client
INPUT_NATS_STREAM_CLUSTER_ID                         = test-cluster
INPUT_NATS_STREAM_DURABLE_NAME                       = benthos_offset
INPUT_NATS_STREAM_MAX_INFLIGHT                       = 1024
INPUT_NATS_STREAM_QUEUE                              = benthos_queue
INPUT_NATS_STREAM_START_FROM_OLDEST                  = true
INPUT_NATS_STREAM_SUBJECT                            = benthos_messages
INPUT_NATS_STREAM_UNSUBSCRIBE_ON_CLOSE               = false
INPUT_NATS_STREAM_URLS                               = nats://127.0.0.1:4222
INPUT_NATS_SUBJECT                                   = benthos_messages
INPUT_NATS_URLS                                      = nats://127.0.0.1:4222
INPUT_NSQ_BATCHING_BYTE_SIZE                         = 0
INPUT_NSQ_BATCHING_CHECK
INPUT_NSQ_BATCHING_COUNT                             = 0
INPUT_NSQ_BATCHING_PERIOD
INPUT_NSQ_CHANNEL                                    = benthos_stream
INPUT_NSQ_LOOKUPD_HTTP_ADDRESSES                     = localhost:4161
INPUT_NSQ_MAX_IN_FLIGHT                              = 100
INPUT_NSQ_NSQD_TCP_ADDRESSES                         = localhost:4150
INPUT_NSQ_TLS_ENABLED                                = false
INPUT_NSQ_TLS_ROOT_CAS_FILE
INPUT_NSQ_TLS_SKIP_CERT_VERIFY                       = false
INPUT_NSQ_TOPIC                                      = benthos_messages
INPUT_NSQ_USER_AGENT                                 = benthos_consumer
INPUT_REDIS_LIST_KEY                                 = benthos_list
INPUT_REDIS_LIST_KIND                                = simple
INPUT_REDIS_LIST_MASTER
INPUT_REDIS_LIST_TIMEOUT                             = 5s
INPUT_REDIS_LIST_TLS_ENABLED                         = false
INPUT_REDIS_LIST_TLS_ROOT_CAS_FILE
INPUT_REDIS_LIST_TLS_SKIP_CERT_VERIFY                = false
INPUT_REDIS_LIST_URL                                 = tcp://localhost:6379
INPUT_REDIS_PUBSUB_CHANNELS                          = benthos_chan
INPUT_REDIS_PUBSUB_KIND                              = simple
INPUT_REDIS_PUBSUB_MASTER
INPUT_REDIS_PUBSUB_TLS_ENABLED                       = false
INPUT_REDIS_PUBSUB_TLS_ROOT_CAS_FILE
INPUT_REDIS_PUBSUB_TLS_SKIP_CERT_VERIFY              = false
INPUT_REDIS_PUBSUB_URL                               = tcp://localhost:6379
INPUT_REDIS_PUBSUB_USE_PATTERNS                      = false
INPUT_REDIS_STREAMS_BATCHING_BYTE_SIZE               = 0
INPUT_REDIS_STREAMS_BATCHING_CHECK
INPUT_REDIS_STREAMS_BATCHING_COUNT                   = 0
INPUT_REDIS_STREAMS_BATCHING_PERIOD
INPUT_REDIS_STREAMS_BODY_KEY                         = body
INPUT_REDIS_STREAMS_CLIENT_ID                        = benthos_consumer
INPUT_REDIS_STREAMS_COMMIT_PERIOD                    = 1s
INPUT_REDIS_STREAMS_CONSUMER_GROUP                   = benthos_group
INPUT_REDIS_STREAMS_KIND                             = simple
INPUT_REDIS_STREAMS_LIMIT                            = 10
INPUT_REDIS_STREAMS_MASTER
INPUT_REDIS_STREAMS_START_FROM_OLDEST                = true
INPUT_REDIS_STREAMS_STREAMS                          = benthos_stream
INPUT_REDIS_STREAMS_TIMEOUT                          = 1s
INPUT_REDIS_STREAMS_TLS_ENABLED                      = false
INPUT_REDIS_STREAMS_TLS_ROOT_CAS_FILE
INPUT_REDIS_STREAMS_TLS_SKIP_CERT_VERIFY             = false
INPUT_REDIS_STREAMS_URL                              = tcp://localhost:6379
INPUT_RESOURCE
INPUT_S3_BUCKET
INPUT_S3_CREDENTIALS_ID
INPUT_S3_CREDENTIALS_PROFILE
INPUT_S3_CREDENTIALS_ROLE
INPUT_S3_CREDENTIALS_ROLE_EXTERNAL_ID
INPUT_S3_CREDENTIALS_SECRET
INPUT_S3_CREDENTIALS_TOKEN
INPUT_S3_DELETE_OBJECTS                              = false
INPUT_S3_DOWNLOAD_MANAGER_ENABLED                    = true
INPUT_S3_ENDPOINT
INPUT_S3_FORCE_PATH_STYLE_URLS                       = false
INPUT_S3_MAX_BATCH_COUNT                             = 1
INPUT_S3_PREFIX
INPUT_S3_REGION                                      = eu-west-1
INPUT_S3_RETRIES                                     = 3
INPUT_S3_SQS_BODY_PATH                               = Records.*.s3.object.key
INPUT_S3_SQS_BUCKET_PATH
INPUT_S3_SQS_ENDPOINT
INPUT_S3_SQS_ENVELOPE_PATH
INPUT_S3_SQS_MAX_MESSAGES                            = 10
INPUT_S3_SQS_URL
INPUT_S3_TIMEOUT                                     = 5s
INPUT_SEQUENCE_SHARDED_JOIN_ID_PATH
INPUT_SEQUENCE_SHARDED_JOIN_ITERATIONS               = 1
INPUT_SEQUENCE_SHARDED_JOIN_MERGE_STRATEGY           = array
INPUT_SEQUENCE_SHARDED_JOIN_TYPE                     = none
INPUT_SFTP_ADDRESS
INPUT_SFTP_CODEC                                     = all-bytes
INPUT_SFTP_CREDENTIALS_PASSWORD
INPUT_SFTP_CREDENTIALS_USERNAME
INPUT_SFTP_DELETE_ON_FINISH                          = false
INPUT_SFTP_MAX_BUFFER                                = 1000000
INPUT_SFTP_WATCHER_CACHE
INPUT_SFTP_WATCHER_ENABLED                           = false
INPUT_SFTP_WATCHER_MINIMUM_AGE                       = 1s
INPUT_SFTP_WATCHER_POLL_INTERVAL                     = 1s
INPUT_SOCKET_ADDRESS                                 = /tmp/benthos.sock
INPUT_SOCKET_CODEC                                   = lines
INPUT_SOCKET_DELIMITER
INPUT_SOCKET_MAX_BUFFER                              = 1000000
INPUT_SOCKET_MULTIPART                               = false
INPUT_SOCKET_NETWORK                                 = unix
INPUT_SOCKET_SERVER_ADDRESS                          = /tmp/benthos.sock
INPUT_SOCKET_SERVER_CODEC                            = lines
INPUT_SOCKET_SERVER_DELIMITER
INPUT_SOCKET_SERVER_MAX_BUFFER                       = 1000000
INPUT_SOCKET_SERVER_MULTIPART                        = false
INPUT_SOCKET_SERVER_NETWORK                          = unix
INPUT_SQS_CREDENTIALS_ID
INPUT_SQS_CREDENTIALS_PROFILE
INPUT_SQS_CREDENTIALS_ROLE
INPUT_SQS_CREDENTIALS_ROLE_EXTERNAL_ID
INPUT_SQS_CREDENTIALS_SECRET
INPUT_SQS_CREDENTIALS_TOKEN
INPUT_SQS_DELETE_MESSAGE                             = true
INPUT_SQS_ENDPOINT
INPUT_SQS_MAX_NUMBER_OF_MESSAGES                     = 1
INPUT_SQS_REGION                                     = eu-west-1
INPUT_SQS_TIMEOUT                                    = 5s
INPUT_SQS_URL
INPUT_STDIN_CODEC                                    = lines
INPUT_STDIN_DELIMITER
INPUT_STDIN_MAX_BUFFER                               = 1000000
INPUT_STDIN_MULTIPART                                = false
INPUT_SUBPROCESS_CODEC                               = lines
INPUT_SUBPROCESS_MAX_BUFFER                          = 65536
INPUT_SUBPROCESS_NAME
INPUT_SUBPROCESS_RESTART_ON_EXIT                     = false
INPUT_TCP_ADDRESS                                    = localhost:4194
INPUT_TCP_DELIMITER
INPUT_TCP_MAX_BUFFER                                 = 1000000
INPUT_TCP_MULTIPART                                  = false
INPUT_TCP_SERVER_ADDRESS                             = 127.0.0.1:0
INPUT_TCP_SERVER_DELIMITER
INPUT_TCP_SERVER_MAX_BUFFER                          = 1000000
INPUT_TCP_SERVER_MULTIPART                           = false
INPUT_UDP_SERVER_ADDRESS                             = 127.0.0.1:0
INPUT_UDP_SERVER_DELIMITER
INPUT_UDP_SERVER_MAX_BUFFER                          = 1000000
INPUT_WEBSOCKET_BASIC_AUTH_ENABLED                   = false
INPUT_WEBSOCKET_BASIC_AUTH_PASSWORD
INPUT_WEBSOCKET_BASIC_AUTH_USERNAME
INPUT_WEBSOCKET_OAUTH_ACCESS_TOKEN
INPUT_WEBSOCKET_OAUTH_ACCESS_TOKEN_SECRET
INPUT_WEBSOCKET_OAUTH_CONSUMER_KEY
INPUT_WEBSOCKET_OAUTH_CONSUMER_SECRET
INPUT_WEBSOCKET_OAUTH_ENABLED                        = false
INPUT_WEBSOCKET_OAUTH_REQUEST_URL
INPUT_WEBSOCKET_OPEN_MESSAGE
INPUT_WEBSOCKET_URL                                  = ws://localhost:4195/get/ws
INPUT_ZMQ4_BIND                                      = false
INPUT_ZMQ4_HIGH_WATER_MARK                           = 0
INPUT_ZMQ4_POLL_TIMEOUT                              = 5s
INPUT_ZMQ4_SOCKET_TYPE                               = PULL
INPUT_ZMQ4_URLS                                      = tcp://localhost:5555
```

## BUFFER

```
BUFFER_TYPE         = none
BUFFER_MEMORY_LIMIT = 524288000
```

## PROCESSOR

```
PROCESSOR_THREADS                                    = 1
PROCESSOR_TYPE                                       = noop
PROCESSOR_ARCHIVE_FORMAT                             = binary
PROCESSOR_ARCHIVE_PATH                               = ${!count("files")}-${!timestamp_unix_nano()}.txt
PROCESSOR_AVRO_ENCODING                              = textual
PROCESSOR_AVRO_OPERATOR                              = to_json
PROCESSOR_AVRO_SCHEMA
PROCESSOR_AVRO_SCHEMA_PATH
PROCESSOR_AWK_CODEC                                  = text
PROCESSOR_AWK_PROGRAM                                = BEGIN { x = 0 } { print $0, x; x++ }
PROCESSOR_AWS_LAMBDA_CREDENTIALS_ID
PROCESSOR_AWS_LAMBDA_CREDENTIALS_PROFILE
PROCESSOR_AWS_LAMBDA_CREDENTIALS_ROLE
PROCESSOR_AWS_LAMBDA_CREDENTIALS_ROLE_EXTERNAL_ID
PROCESSOR_AWS_LAMBDA_CREDENTIALS_SECRET
PROCESSOR_AWS_LAMBDA_CREDENTIALS_TOKEN
PROCESSOR_AWS_LAMBDA_ENDPOINT
PROCESSOR_AWS_LAMBDA_FUNCTION
PROCESSOR_AWS_LAMBDA_PARALLEL                        = false
PROCESSOR_AWS_LAMBDA_RATE_LIMIT
PROCESSOR_AWS_LAMBDA_REGION                          = eu-west-1
PROCESSOR_AWS_LAMBDA_RETRIES                         = 3
PROCESSOR_AWS_LAMBDA_TIMEOUT                         = 5s
PROCESSOR_BATCH_BYTE_SIZE                            = 0
PROCESSOR_BATCH_CONDITION_BLOBLANG
PROCESSOR_BATCH_CONDITION_BOUNDS_CHECK_MAX_PARTS     = 100
PROCESSOR_BATCH_CONDITION_BOUNDS_CHECK_MAX_PART_SIZE = 1073741824
PROCESSOR_BATCH_CONDITION_BOUNDS_CHECK_MIN_PARTS     = 1
PROCESSOR_BATCH_CONDITION_BOUNDS_CHECK_MIN_PART_SIZE = 1
PROCESSOR_BATCH_CONDITION_CHECK_INTERPOLATION_VALUE
PROCESSOR_BATCH_CONDITION_COUNT_ARG                  = 100
PROCESSOR_BATCH_CONDITION_JMESPATH_PART              = 0
PROCESSOR_BATCH_CONDITION_JMESPATH_QUERY
PROCESSOR_BATCH_CONDITION_JSON_ARG
PROCESSOR_BATCH_CONDITION_JSON_OPERATOR              = exists
PROCESSOR_BATCH_CONDITION_JSON_PART                  = 0
PROCESSOR_BATCH_CONDITION_JSON_PATH
PROCESSOR_BATCH_CONDITION_JSON_SCHEMA_PART           = 0
PROCESSOR_BATCH_CONDITION_JSON_SCHEMA_SCHEMA
PROCESSOR_BATCH_CONDITION_JSON_SCHEMA_SCHEMA_PATH
PROCESSOR_BATCH_CONDITION_METADATA_ARG
PROCESSOR_BATCH_CONDITION_METADATA_KEY
PROCESSOR_BATCH_CONDITION_METADATA_OPERATOR          = equals_cs
PROCESSOR_BATCH_CONDITION_METADATA_PART              = 0
PROCESSOR_BATCH_CONDITION_NUMBER_ARG                 = 0
PROCESSOR_BATCH_CONDITION_NUMBER_OPERATOR            = equals
PROCESSOR_BATCH_CONDITION_NUMBER_PART                = 0
PROCESSOR_BATCH_CONDITION_PROCESSOR_FAILED_PART      = 0
PROCESSOR_BATCH_CONDITION_RESOURCE
PROCESSOR_BATCH_CONDITION_STATIC                     = false
PROCESSOR_BATCH_CONDITION_TEXT_ARG
PROCESSOR_BATCH_CONDITION_TEXT_OPERATOR              = equals_cs
PROCESSOR_BATCH_CONDITION_TEXT_PART                  = 0
PROCESSOR_BATCH_CONDITION_TYPE                       = static
PROCESSOR_BATCH_COUNT                                = 0
PROCESSOR_BATCH_PERIOD
PROCESSOR_BLOBLANG
PROCESSOR_BOUNDS_CHECK_MAX_PARTS                     = 100
PROCESSOR_BOUNDS_CHECK_MAX_PART_SIZE                 = 1073741824
PROCESSOR_BOUNDS_CHECK_MIN_PARTS                     = 1
PROCESSOR_BOUNDS_CHECK_MIN_PART_SIZE                 = 1
PROCESSOR_BRANCH_REQUEST_MAP
PROCESSOR_BRANCH_RESULT_MAP
PROCESSOR_CACHE_CACHE
PROCESSOR_CACHE_KEY
PROCESSOR_CACHE_OPERATOR                             = set
PROCESSOR_CACHE_RESOURCE
PROCESSOR_CACHE_TTL
PROCESSOR_CACHE_VALUE
PROCESSOR_COMPRESS_ALGORITHM                         = gzip
PROCESSOR_COMPRESS_LEVEL                             = -1
PROCESSOR_DECODE_SCHEME                              = base64
PROCESSOR_DECOMPRESS_ALGORITHM                       = gzip
PROCESSOR_ENCODE_SCHEME                              = base64
PROCESSOR_GROK_NAMED_CAPTURES_ONLY                   = true
PROCESSOR_GROK_OUTPUT_FORMAT                         = json
PROCESSOR_GROK_REMOVE_EMPTY_VALUES                   = true
PROCESSOR_GROK_USE_DEFAULT_PATTERNS                  = true
PROCESSOR_GROUP_BY_VALUE_VALUE                       = ${! meta("example") }
PROCESSOR_HASH_ALGORITHM                             = sha256
PROCESSOR_HASH_KEY
PROCESSOR_HASH_SAMPLE_PARTS                          = 0
PROCESSOR_HASH_SAMPLE_RETAIN_MAX                     = 10
PROCESSOR_HASH_SAMPLE_RETAIN_MIN                     = 0
PROCESSOR_HTTP_BACKOFF_ON                            = 429
PROCESSOR_HTTP_BASIC_AUTH_ENABLED                    = false
PROCESSOR_HTTP_BASIC_AUTH_PASSWORD
PROCESSOR_HTTP_BASIC_AUTH_USERNAME
PROCESSOR_HTTP_COPY_RESPONSE_HEADERS                 = false
PROCESSOR_HTTP_HEADERS_CONTENT_TYPE                  = application/octet-stream
PROCESSOR_HTTP_MAX_PARALLEL                          = 0
PROCESSOR_HTTP_MAX_RETRY_BACKOFF                     = 300s
PROCESSOR_HTTP_OAUTH2_CLIENT_KEY
PROCESSOR_HTTP_OAUTH2_CLIENT_SECRET
PROCESSOR_HTTP_OAUTH2_ENABLED                        = false
PROCESSOR_HTTP_OAUTH2_TOKEN_URL
PROCESSOR_HTTP_OAUTH_ACCESS_TOKEN
PROCESSOR_HTTP_OAUTH_ACCESS_TOKEN_SECRET
PROCESSOR_HTTP_OAUTH_CONSUMER_KEY
PROCESSOR_HTTP_OAUTH_CONSUMER_SECRET
PROCESSOR_HTTP_OAUTH_ENABLED                         = false
PROCESSOR_HTTP_OAUTH_REQUEST_URL
PROCESSOR_HTTP_PARALLEL                              = false
PROCESSOR_HTTP_PROXY_URL
PROCESSOR_HTTP_RATE_LIMIT
PROCESSOR_HTTP_REQUEST_BACKOFF_ON                    = 429
PROCESSOR_HTTP_REQUEST_BASIC_AUTH_ENABLED            = false
PROCESSOR_HTTP_REQUEST_BASIC_AUTH_PASSWORD
PROCESSOR_HTTP_REQUEST_BASIC_AUTH_USERNAME
PROCESSOR_HTTP_REQUEST_COPY_RESPONSE_HEADERS         = false
PROCESSOR_HTTP_REQUEST_HEADERS_CONTENT_TYPE          = application/octet-stream
PROCESSOR_HTTP_REQUEST_MAX_RETRY_BACKOFF             = 300s
PROCESSOR_HTTP_REQUEST_OAUTH2_CLIENT_KEY
PROCESSOR_HTTP_REQUEST_OAUTH2_CLIENT_SECRET
PROCESSOR_HTTP_REQUEST_OAUTH2_ENABLED                = false
PROCESSOR_HTTP_REQUEST_OAUTH2_TOKEN_URL
PROCESSOR_HTTP_REQUEST_OAUTH_ACCESS_TOKEN
PROCESSOR_HTTP_REQUEST_OAUTH_ACCESS_TOKEN_SECRET
PROCESSOR_HTTP_REQUEST_OAUTH_CONSUMER_KEY
PROCESSOR_HTTP_REQUEST_OAUTH_CONSUMER_SECRET
PROCESSOR_HTTP_REQUEST_OAUTH_ENABLED                 = false
PROCESSOR_HTTP_REQUEST_OAUTH_REQUEST_URL
PROCESSOR_HTTP_REQUEST_PROXY_URL
PROCESSOR_HTTP_REQUEST_RATE_LIMIT
PROCESSOR_HTTP_REQUEST_RETRIES                       = 3
PROCESSOR_HTTP_REQUEST_RETRY_PERIOD                  = 1s
PROCESSOR_HTTP_REQUEST_TIMEOUT                       = 5s
PROCESSOR_HTTP_REQUEST_TLS_ENABLED                   = false
PROCESSOR_HTTP_REQUEST_TLS_ROOT_CAS_FILE
PROCESSOR_HTTP_REQUEST_TLS_SKIP_CERT_VERIFY          = false
PROCESSOR_HTTP_REQUEST_URL                           = http://localhost:4195/post
PROCESSOR_HTTP_REQUEST_VERB                          = POST
PROCESSOR_HTTP_RETRIES                               = 3
PROCESSOR_HTTP_RETRY_PERIOD                          = 1s
PROCESSOR_HTTP_TIMEOUT                               = 5s
PROCESSOR_HTTP_TLS_ENABLED                           = false
PROCESSOR_HTTP_TLS_ROOT_CAS_FILE
PROCESSOR_HTTP_TLS_SKIP_CERT_VERIFY                  = false
PROCESSOR_HTTP_URL                                   = http://localhost:4195/post
PROCESSOR_HTTP_VERB                                  = POST
PROCESSOR_INSERT_PART_CONTENT
PROCESSOR_INSERT_PART_INDEX                          = -1
PROCESSOR_JMESPATH_QUERY
PROCESSOR_JQ_QUERY                                   = .
PROCESSOR_JQ_RAW                                     = false
PROCESSOR_JSON_OPERATOR                              = clean
PROCESSOR_JSON_PATH
PROCESSOR_JSON_SCHEMA_SCHEMA
PROCESSOR_JSON_SCHEMA_SCHEMA_PATH
PROCESSOR_JSON_VALUE
PROCESSOR_LAMBDA_CREDENTIALS_ID
PROCESSOR_LAMBDA_CREDENTIALS_PROFILE
PROCESSOR_LAMBDA_CREDENTIALS_ROLE
PROCESSOR_LAMBDA_CREDENTIALS_ROLE_EXTERNAL_ID
PROCESSOR_LAMBDA_CREDENTIALS_SECRET
PROCESSOR_LAMBDA_CREDENTIALS_TOKEN
PROCESSOR_LAMBDA_ENDPOINT
PROCESSOR_LAMBDA_FUNCTION
PROCESSOR_LAMBDA_PARALLEL                            = false
PROCESSOR_LAMBDA_RATE_LIMIT
PROCESSOR_LAMBDA_REGION                              = eu-west-1
PROCESSOR_LAMBDA_RETRIES                             = 3
PROCESSOR_LAMBDA_TIMEOUT                             = 5s
PROCESSOR_LOG_FIELDS_MAPPING
PROCESSOR_LOG_LEVEL                                  = INFO
PROCESSOR_LOG_MESSAGE
PROCESSOR_MERGE_JSON_RETAIN_PARTS                    = false
PROCESSOR_METADATA_KEY                               = example
PROCESSOR_METADATA_OPERATOR                          = set
PROCESSOR_METADATA_VALUE                             = ${!hostname()}
PROCESSOR_METRIC_NAME
PROCESSOR_METRIC_PATH
PROCESSOR_METRIC_TYPE                                = counter
PROCESSOR_METRIC_VALUE
PROCESSOR_NUMBER_OPERATOR                            = add
PROCESSOR_NUMBER_VALUE                               = 0
PROCESSOR_PARALLEL_CAP                               = 0
PROCESSOR_PARSE_LOG_ALLOW_RFC3339                    = true
PROCESSOR_PARSE_LOG_BEST_EFFORT                      = true
PROCESSOR_PARSE_LOG_CODEC                            = json
PROCESSOR_PARSE_LOG_DEFAULT_TIMEZONE                 = UTC
PROCESSOR_PARSE_LOG_DEFAULT_YEAR                     = current
PROCESSOR_PARSE_LOG_FORMAT                           = syslog_rfc5424
PROCESSOR_PROTOBUF_IMPORT_PATH
PROCESSOR_PROTOBUF_MESSAGE
PROCESSOR_PROTOBUF_OPERATOR                          = to_json
PROCESSOR_RATE_LIMIT_RESOURCE
PROCESSOR_REDIS_KEY
PROCESSOR_REDIS_KIND                                 = simple
PROCESSOR_REDIS_MASTER
PROCESSOR_REDIS_OPERATOR                             = scard
PROCESSOR_REDIS_RETRIES                              = 3
PROCESSOR_REDIS_RETRY_PERIOD                         = 500ms
PROCESSOR_REDIS_TLS_ENABLED                          = false
PROCESSOR_REDIS_TLS_ROOT_CAS_FILE
PROCESSOR_REDIS_TLS_SKIP_CERT_VERIFY                 = false
PROCESSOR_REDIS_URL                                  = tcp://localhost:6379
PROCESSOR_RESOURCE
PROCESSOR_SAMPLE_RETAIN                              = 10
PROCESSOR_SAMPLE_SEED                                = 0
PROCESSOR_SELECT_PARTS_PARTS                         = 0
PROCESSOR_SLEEP_DURATION                             = 100us
PROCESSOR_SPLIT_BYTE_SIZE                            = 0
PROCESSOR_SPLIT_SIZE                                 = 1
PROCESSOR_SQL_DATA_SOURCE_NAME
PROCESSOR_SQL_DRIVER                                 = mysql
PROCESSOR_SQL_DSN
PROCESSOR_SQL_QUERY
PROCESSOR_SQL_RESULT_CODEC                           = none
PROCESSOR_SUBPROCESS_CODEC_RECV                      = lines
PROCESSOR_SUBPROCESS_CODEC_SEND                      = lines
PROCESSOR_SUBPROCESS_MAX_BUFFER                      = 65536
PROCESSOR_SUBPROCESS_NAME                            = cat
PROCESSOR_TEXT_ARG
PROCESSOR_TEXT_OPERATOR                              = trim_space
PROCESSOR_TEXT_VALUE
PROCESSOR_THROTTLE_PERIOD                            = 100us
PROCESSOR_UNARCHIVE_FORMAT                           = binary
PROCESSOR_WORKFLOW_META_PATH                         = meta.workflow
PROCESSOR_XML_OPERATOR                               = to_json
```

## OUTPUT

```
OUTPUTS                                                  = 1
OUTPUTS_PATTERN                                          = greedy
OUTPUT_TYPE                                              = dynamic
OUTPUT_AMQP_0_9_CONTENT_ENCODING
OUTPUT_AMQP_0_9_CONTENT_TYPE                             = application/octet-stream
OUTPUT_AMQP_0_9_EXCHANGE                                 = benthos-exchange
OUTPUT_AMQP_0_9_EXCHANGE_DECLARE_DURABLE                 = true
OUTPUT_AMQP_0_9_EXCHANGE_DECLARE_ENABLED                 = false
OUTPUT_AMQP_0_9_EXCHANGE_DECLARE_TYPE                    = direct
OUTPUT_AMQP_0_9_IMMEDIATE                                = false
OUTPUT_AMQP_0_9_KEY                                      = benthos-key
OUTPUT_AMQP_0_9_MANDATORY                                = false
OUTPUT_AMQP_0_9_MAX_IN_FLIGHT                            = 1
OUTPUT_AMQP_0_9_PERSISTENT                               = false
OUTPUT_AMQP_0_9_TLS_ENABLED                              = false
OUTPUT_AMQP_0_9_TLS_ROOT_CAS_FILE
OUTPUT_AMQP_0_9_TLS_SKIP_CERT_VERIFY                     = false
OUTPUT_AMQP_0_9_TYPE
OUTPUT_AMQP_0_9_URL                                      = amqp://guest:guest@localhost:5672/
OUTPUT_AMQP_1_MAX_IN_FLIGHT                              = 1
OUTPUT_AMQP_1_SASL_MECHANISM                             = none
OUTPUT_AMQP_1_SASL_PASSWORD
OUTPUT_AMQP_1_SASL_USER
OUTPUT_AMQP_1_TARGET_ADDRESS
OUTPUT_AMQP_1_TLS_ENABLED                                = false
OUTPUT_AMQP_1_TLS_ROOT_CAS_FILE
OUTPUT_AMQP_1_TLS_SKIP_CERT_VERIFY                       = false
OUTPUT_AMQP_1_URL
OUTPUT_AMQP_CONTENT_ENCODING
OUTPUT_AMQP_CONTENT_TYPE                                 = application/octet-stream
OUTPUT_AMQP_EXCHANGE                                     = benthos-exchange
OUTPUT_AMQP_EXCHANGE_DECLARE_DURABLE                     = true
OUTPUT_AMQP_EXCHANGE_DECLARE_ENABLED                     = false
OUTPUT_AMQP_EXCHANGE_DECLARE_TYPE                        = direct
OUTPUT_AMQP_IMMEDIATE                                    = false
OUTPUT_AMQP_KEY                                          = benthos-key
OUTPUT_AMQP_MANDATORY                                    = false
OUTPUT_AMQP_MAX_IN_FLIGHT                                = 1
OUTPUT_AMQP_PERSISTENT                                   = false
OUTPUT_AMQP_TLS_ENABLED                                  = false
OUTPUT_AMQP_TLS_ROOT_CAS_FILE
OUTPUT_AMQP_TLS_SKIP_CERT_VERIFY                         = false
OUTPUT_AMQP_TYPE
OUTPUT_AMQP_URL                                          = amqp://guest:guest@localhost:5672/
OUTPUT_AWS_DYNAMODB_BACKOFF_INITIAL_INTERVAL             = 1s
OUTPUT_AWS_DYNAMODB_BACKOFF_MAX_ELAPSED_TIME             = 30s
OUTPUT_AWS_DYNAMODB_BACKOFF_MAX_INTERVAL                 = 5s
OUTPUT_AWS_DYNAMODB_BATCHING_BYTE_SIZE                   = 0
OUTPUT_AWS_DYNAMODB_BATCHING_CHECK
OUTPUT_AWS_DYNAMODB_BATCHING_COUNT                       = 0
OUTPUT_AWS_DYNAMODB_BATCHING_PERIOD
OUTPUT_AWS_DYNAMODB_CREDENTIALS_ID
OUTPUT_AWS_DYNAMODB_CREDENTIALS_PROFILE
OUTPUT_AWS_DYNAMODB_CREDENTIALS_ROLE
OUTPUT_AWS_DYNAMODB_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_AWS_DYNAMODB_CREDENTIALS_SECRET
OUTPUT_AWS_DYNAMODB_CREDENTIALS_TOKEN
OUTPUT_AWS_DYNAMODB_ENDPOINT
OUTPUT_AWS_DYNAMODB_MAX_IN_FLIGHT                        = 1
OUTPUT_AWS_DYNAMODB_MAX_RETRIES                          = 3
OUTPUT_AWS_DYNAMODB_REGION                               = eu-west-1
OUTPUT_AWS_DYNAMODB_TABLE
OUTPUT_AWS_DYNAMODB_TTL
OUTPUT_AWS_DYNAMODB_TTL_KEY
OUTPUT_AWS_KINESIS_BACKOFF_INITIAL_INTERVAL              = 1s
OUTPUT_AWS_KINESIS_BACKOFF_MAX_ELAPSED_TIME              = 30s
OUTPUT_AWS_KINESIS_BACKOFF_MAX_INTERVAL                  = 5s
OUTPUT_AWS_KINESIS_BATCHING_BYTE_SIZE                    = 0
OUTPUT_AWS_KINESIS_BATCHING_CHECK
OUTPUT_AWS_KINESIS_BATCHING_COUNT                        = 0
OUTPUT_AWS_KINESIS_BATCHING_PERIOD
OUTPUT_AWS_KINESIS_CREDENTIALS_ID
OUTPUT_AWS_KINESIS_CREDENTIALS_PROFILE
OUTPUT_AWS_KINESIS_CREDENTIALS_ROLE
OUTPUT_AWS_KINESIS_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_AWS_KINESIS_CREDENTIALS_SECRET
OUTPUT_AWS_KINESIS_CREDENTIALS_TOKEN
OUTPUT_AWS_KINESIS_ENDPOINT
OUTPUT_AWS_KINESIS_FIREHOSE_BACKOFF_INITIAL_INTERVAL     = 1s
OUTPUT_AWS_KINESIS_FIREHOSE_BACKOFF_MAX_ELAPSED_TIME     = 30s
OUTPUT_AWS_KINESIS_FIREHOSE_BACKOFF_MAX_INTERVAL         = 5s
OUTPUT_AWS_KINESIS_FIREHOSE_BATCHING_BYTE_SIZE           = 0
OUTPUT_AWS_KINESIS_FIREHOSE_BATCHING_CHECK
OUTPUT_AWS_KINESIS_FIREHOSE_BATCHING_COUNT               = 0
OUTPUT_AWS_KINESIS_FIREHOSE_BATCHING_PERIOD
OUTPUT_AWS_KINESIS_FIREHOSE_CREDENTIALS_ID
OUTPUT_AWS_KINESIS_FIREHOSE_CREDENTIALS_PROFILE
OUTPUT_AWS_KINESIS_FIREHOSE_CREDENTIALS_ROLE
OUTPUT_AWS_KINESIS_FIREHOSE_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_AWS_KINESIS_FIREHOSE_CREDENTIALS_SECRET
OUTPUT_AWS_KINESIS_FIREHOSE_CREDENTIALS_TOKEN
OUTPUT_AWS_KINESIS_FIREHOSE_ENDPOINT
OUTPUT_AWS_KINESIS_FIREHOSE_MAX_IN_FLIGHT                = 1
OUTPUT_AWS_KINESIS_FIREHOSE_MAX_RETRIES                  = 0
OUTPUT_AWS_KINESIS_FIREHOSE_REGION                       = eu-west-1
OUTPUT_AWS_KINESIS_FIREHOSE_STREAM
OUTPUT_AWS_KINESIS_HASH_KEY
OUTPUT_AWS_KINESIS_MAX_IN_FLIGHT                         = 1
OUTPUT_AWS_KINESIS_MAX_RETRIES                           = 0
OUTPUT_AWS_KINESIS_PARTITION_KEY
OUTPUT_AWS_KINESIS_REGION                                = eu-west-1
OUTPUT_AWS_KINESIS_STREAM
OUTPUT_AWS_S3_BATCHING_BYTE_SIZE                         = 0
OUTPUT_AWS_S3_BATCHING_CHECK
OUTPUT_AWS_S3_BATCHING_COUNT                             = 0
OUTPUT_AWS_S3_BATCHING_PERIOD
OUTPUT_AWS_S3_BUCKET
OUTPUT_AWS_S3_CONTENT_ENCODING
OUTPUT_AWS_S3_CONTENT_TYPE                               = application/octet-stream
OUTPUT_AWS_S3_CREDENTIALS_ID
OUTPUT_AWS_S3_CREDENTIALS_PROFILE
OUTPUT_AWS_S3_CREDENTIALS_ROLE
OUTPUT_AWS_S3_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_AWS_S3_CREDENTIALS_SECRET
OUTPUT_AWS_S3_CREDENTIALS_TOKEN
OUTPUT_AWS_S3_ENDPOINT
OUTPUT_AWS_S3_FORCE_PATH_STYLE_URLS                      = false
OUTPUT_AWS_S3_KMS_KEY_ID
OUTPUT_AWS_S3_MAX_IN_FLIGHT                              = 1
OUTPUT_AWS_S3_PATH                                       = ${!count("files")}-${!timestamp_unix_nano()}.txt
OUTPUT_AWS_S3_REGION                                     = eu-west-1
OUTPUT_AWS_S3_STORAGE_CLASS                              = STANDARD
OUTPUT_AWS_S3_TIMEOUT                                    = 5s
OUTPUT_AWS_SNS_CREDENTIALS_ID
OUTPUT_AWS_SNS_CREDENTIALS_PROFILE
OUTPUT_AWS_SNS_CREDENTIALS_ROLE
OUTPUT_AWS_SNS_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_AWS_SNS_CREDENTIALS_SECRET
OUTPUT_AWS_SNS_CREDENTIALS_TOKEN
OUTPUT_AWS_SNS_ENDPOINT
OUTPUT_AWS_SNS_MAX_IN_FLIGHT                             = 1
OUTPUT_AWS_SNS_REGION                                    = eu-west-1
OUTPUT_AWS_SNS_TIMEOUT                                   = 5s
OUTPUT_AWS_SNS_TOPIC_ARN
OUTPUT_AWS_SQS_BACKOFF_INITIAL_INTERVAL                  = 1s
OUTPUT_AWS_SQS_BACKOFF_MAX_ELAPSED_TIME                  = 30s
OUTPUT_AWS_SQS_BACKOFF_MAX_INTERVAL                      = 5s
OUTPUT_AWS_SQS_BATCHING_BYTE_SIZE                        = 0
OUTPUT_AWS_SQS_BATCHING_CHECK
OUTPUT_AWS_SQS_BATCHING_COUNT                            = 0
OUTPUT_AWS_SQS_BATCHING_PERIOD
OUTPUT_AWS_SQS_CREDENTIALS_ID
OUTPUT_AWS_SQS_CREDENTIALS_PROFILE
OUTPUT_AWS_SQS_CREDENTIALS_ROLE
OUTPUT_AWS_SQS_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_AWS_SQS_CREDENTIALS_SECRET
OUTPUT_AWS_SQS_CREDENTIALS_TOKEN
OUTPUT_AWS_SQS_ENDPOINT
OUTPUT_AWS_SQS_MAX_IN_FLIGHT                             = 1
OUTPUT_AWS_SQS_MAX_RETRIES                               = 0
OUTPUT_AWS_SQS_MESSAGE_DEDUPLICATION_ID
OUTPUT_AWS_SQS_MESSAGE_GROUP_ID
OUTPUT_AWS_SQS_REGION                                    = eu-west-1
OUTPUT_AWS_SQS_URL
OUTPUT_AZURE_BLOB_STORAGE_BLOB_TYPE                      = BLOCK
OUTPUT_AZURE_BLOB_STORAGE_CONTAINER
OUTPUT_AZURE_BLOB_STORAGE_MAX_IN_FLIGHT                  = 1
OUTPUT_AZURE_BLOB_STORAGE_PATH                           = ${!count("files")}-${!timestamp_unix_nano()}.txt
OUTPUT_AZURE_BLOB_STORAGE_PUBLIC_ACCESS_LEVEL            = PRIVATE
OUTPUT_AZURE_BLOB_STORAGE_STORAGE_ACCESS_KEY
OUTPUT_AZURE_BLOB_STORAGE_STORAGE_ACCOUNT
OUTPUT_AZURE_BLOB_STORAGE_STORAGE_CONNECTION_STRING
OUTPUT_AZURE_BLOB_STORAGE_STORAGE_SAS_TOKEN
OUTPUT_AZURE_QUEUE_STORAGE_BATCHING_BYTE_SIZE            = 0
OUTPUT_AZURE_QUEUE_STORAGE_BATCHING_CHECK
OUTPUT_AZURE_QUEUE_STORAGE_BATCHING_COUNT                = 0
OUTPUT_AZURE_QUEUE_STORAGE_BATCHING_PERIOD
OUTPUT_AZURE_QUEUE_STORAGE_MAX_IN_FLIGHT                 = 1
OUTPUT_AZURE_QUEUE_STORAGE_QUEUE_NAME
OUTPUT_AZURE_QUEUE_STORAGE_STORAGE_ACCESS_KEY
OUTPUT_AZURE_QUEUE_STORAGE_STORAGE_ACCOUNT
OUTPUT_AZURE_QUEUE_STORAGE_STORAGE_CONNECTION_STRING
OUTPUT_AZURE_QUEUE_STORAGE_TTL
OUTPUT_AZURE_TABLE_STORAGE_BATCHING_BYTE_SIZE            = 0
OUTPUT_AZURE_TABLE_STORAGE_BATCHING_CHECK
OUTPUT_AZURE_TABLE_STORAGE_BATCHING_COUNT                = 0
OUTPUT_AZURE_TABLE_STORAGE_BATCHING_PERIOD
OUTPUT_AZURE_TABLE_STORAGE_INSERT_TYPE                   = INSERT
OUTPUT_AZURE_TABLE_STORAGE_MAX_IN_FLIGHT                 = 1
OUTPUT_AZURE_TABLE_STORAGE_PARTITION_KEY
OUTPUT_AZURE_TABLE_STORAGE_ROW_KEY
OUTPUT_AZURE_TABLE_STORAGE_STORAGE_ACCESS_KEY
OUTPUT_AZURE_TABLE_STORAGE_STORAGE_ACCOUNT
OUTPUT_AZURE_TABLE_STORAGE_STORAGE_CONNECTION_STRING
OUTPUT_AZURE_TABLE_STORAGE_TABLE_NAME
OUTPUT_AZURE_TABLE_STORAGE_TIMEOUT                       = 5s
OUTPUT_BLOB_STORAGE_BLOB_TYPE                            = BLOCK
OUTPUT_BLOB_STORAGE_CONTAINER
OUTPUT_BLOB_STORAGE_MAX_IN_FLIGHT                        = 1
OUTPUT_BLOB_STORAGE_PATH                                 = ${!count("files")}-${!timestamp_unix_nano()}.txt
OUTPUT_BLOB_STORAGE_PUBLIC_ACCESS_LEVEL                  = PRIVATE
OUTPUT_BLOB_STORAGE_STORAGE_ACCESS_KEY
OUTPUT_BLOB_STORAGE_STORAGE_ACCOUNT
OUTPUT_BLOB_STORAGE_STORAGE_CONNECTION_STRING
OUTPUT_BLOB_STORAGE_STORAGE_SAS_TOKEN
OUTPUT_CACHE_KEY                                         = ${!count("items")}-${!timestamp_unix_nano()}
OUTPUT_CACHE_MAX_IN_FLIGHT                               = 1
OUTPUT_CACHE_TARGET
OUTPUT_CACHE_TTL
OUTPUT_CASSANDRA_BACKOFF_INITIAL_INTERVAL                = 1s
OUTPUT_CASSANDRA_BACKOFF_MAX_ELAPSED_TIME
OUTPUT_CASSANDRA_BACKOFF_MAX_INTERVAL                    = 5s
OUTPUT_CASSANDRA_BATCHING_BYTE_SIZE                      = 0
OUTPUT_CASSANDRA_BATCHING_CHECK
OUTPUT_CASSANDRA_BATCHING_COUNT                          = 0
OUTPUT_CASSANDRA_BATCHING_PERIOD
OUTPUT_CASSANDRA_CONSISTENCY                             = QUORUM
OUTPUT_CASSANDRA_DISABLE_INITIAL_HOST_LOOKUP             = false
OUTPUT_CASSANDRA_MAX_IN_FLIGHT                           = 1
OUTPUT_CASSANDRA_MAX_RETRIES                             = 3
OUTPUT_CASSANDRA_PASSWORD_AUTHENTICATOR_ENABLED          = false
OUTPUT_CASSANDRA_PASSWORD_AUTHENTICATOR_PASSWORD
OUTPUT_CASSANDRA_PASSWORD_AUTHENTICATOR_USERNAME
OUTPUT_CASSANDRA_QUERY
OUTPUT_CASSANDRA_TLS_ENABLED                             = false
OUTPUT_CASSANDRA_TLS_ROOT_CAS_FILE
OUTPUT_CASSANDRA_TLS_SKIP_CERT_VERIFY                    = false
OUTPUT_DROP_ON_BACK_PRESSURE
OUTPUT_DROP_ON_ERROR                                     = false
OUTPUT_DYNAMIC_MAX_IN_FLIGHT                             = 1
OUTPUT_DYNAMIC_PREFIX
OUTPUT_DYNAMIC_TIMEOUT                                   = 5s
OUTPUT_ELASTICSEARCH_AWS_CREDENTIALS_ID
OUTPUT_ELASTICSEARCH_AWS_CREDENTIALS_PROFILE
OUTPUT_ELASTICSEARCH_AWS_CREDENTIALS_ROLE
OUTPUT_ELASTICSEARCH_AWS_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_ELASTICSEARCH_AWS_CREDENTIALS_SECRET
OUTPUT_ELASTICSEARCH_AWS_CREDENTIALS_TOKEN
OUTPUT_ELASTICSEARCH_AWS_ENABLED                         = false
OUTPUT_ELASTICSEARCH_AWS_ENDPOINT
OUTPUT_ELASTICSEARCH_AWS_REGION                          = eu-west-1
OUTPUT_ELASTICSEARCH_BACKOFF_INITIAL_INTERVAL            = 1s
OUTPUT_ELASTICSEARCH_BACKOFF_MAX_ELAPSED_TIME            = 30s
OUTPUT_ELASTICSEARCH_BACKOFF_MAX_INTERVAL                = 5s
OUTPUT_ELASTICSEARCH_BASIC_AUTH_ENABLED                  = false
OUTPUT_ELASTICSEARCH_BASIC_AUTH_PASSWORD
OUTPUT_ELASTICSEARCH_BASIC_AUTH_USERNAME
OUTPUT_ELASTICSEARCH_BATCHING_BYTE_SIZE                  = 0
OUTPUT_ELASTICSEARCH_BATCHING_CHECK
OUTPUT_ELASTICSEARCH_BATCHING_COUNT                      = 0
OUTPUT_ELASTICSEARCH_BATCHING_PERIOD
OUTPUT_ELASTICSEARCH_HEALTHCHECK                         = true
OUTPUT_ELASTICSEARCH_ID                                  = ${!count("elastic_ids")}-${!timestamp_unix()}
OUTPUT_ELASTICSEARCH_INDEX                               = benthos_index
OUTPUT_ELASTICSEARCH_MAX_IN_FLIGHT                       = 1
OUTPUT_ELASTICSEARCH_MAX_RETRIES                         = 0
OUTPUT_ELASTICSEARCH_PIPELINE
OUTPUT_ELASTICSEARCH_SNIFF                               = true
OUTPUT_ELASTICSEARCH_TIMEOUT                             = 5s
OUTPUT_ELASTICSEARCH_TLS_ENABLED                         = false
OUTPUT_ELASTICSEARCH_TLS_ROOT_CAS_FILE
OUTPUT_ELASTICSEARCH_TLS_SKIP_CERT_VERIFY                = false
OUTPUT_ELASTICSEARCH_TYPE                                = doc
OUTPUT_ELASTICSEARCH_URLS                                = http://localhost:9200
OUTPUT_FILES_PATH                                        = ${!count("files")}-${!timestamp_unix_nano()}.txt
OUTPUT_FILE_CODEC                                        = lines
OUTPUT_FILE_DELIMITER
OUTPUT_FILE_PATH
OUTPUT_GCP_PUBSUB_MAX_IN_FLIGHT                          = 1
OUTPUT_GCP_PUBSUB_PROJECT
OUTPUT_GCP_PUBSUB_PUBLISH_TIMEOUT                        = 60s
OUTPUT_GCP_PUBSUB_TOPIC
OUTPUT_HDFS_BATCHING_BYTE_SIZE                           = 0
OUTPUT_HDFS_BATCHING_CHECK
OUTPUT_HDFS_BATCHING_COUNT                               = 0
OUTPUT_HDFS_BATCHING_PERIOD
OUTPUT_HDFS_DIRECTORY
OUTPUT_HDFS_HOSTS                                        = localhost:9000
OUTPUT_HDFS_MAX_IN_FLIGHT                                = 1
OUTPUT_HDFS_PATH                                         = ${!count("files")}-${!timestamp_unix_nano()}.txt
OUTPUT_HDFS_USER                                         = benthos_hdfs
OUTPUT_HTTP_CLIENT_BACKOFF_ON                            = 429
OUTPUT_HTTP_CLIENT_BASIC_AUTH_ENABLED                    = false
OUTPUT_HTTP_CLIENT_BASIC_AUTH_PASSWORD
OUTPUT_HTTP_CLIENT_BASIC_AUTH_USERNAME
OUTPUT_HTTP_CLIENT_BATCHING_BYTE_SIZE                    = 0
OUTPUT_HTTP_CLIENT_BATCHING_CHECK
OUTPUT_HTTP_CLIENT_BATCHING_COUNT                        = 0
OUTPUT_HTTP_CLIENT_BATCHING_PERIOD
OUTPUT_HTTP_CLIENT_COPY_RESPONSE_HEADERS                 = false
OUTPUT_HTTP_CLIENT_HEADERS_CONTENT_TYPE                  = application/octet-stream
OUTPUT_HTTP_CLIENT_MAX_IN_FLIGHT                         = 1
OUTPUT_HTTP_CLIENT_MAX_RETRY_BACKOFF                     = 300s
OUTPUT_HTTP_CLIENT_OAUTH2_CLIENT_KEY
OUTPUT_HTTP_CLIENT_OAUTH2_CLIENT_SECRET
OUTPUT_HTTP_CLIENT_OAUTH2_ENABLED                        = false
OUTPUT_HTTP_CLIENT_OAUTH2_TOKEN_URL
OUTPUT_HTTP_CLIENT_OAUTH_ACCESS_TOKEN
OUTPUT_HTTP_CLIENT_OAUTH_ACCESS_TOKEN_SECRET
OUTPUT_HTTP_CLIENT_OAUTH_CONSUMER_KEY
OUTPUT_HTTP_CLIENT_OAUTH_CONSUMER_SECRET
OUTPUT_HTTP_CLIENT_OAUTH_ENABLED                         = false
OUTPUT_HTTP_CLIENT_OAUTH_REQUEST_URL
OUTPUT_HTTP_CLIENT_PROPAGATE_RESPONSE                    = false
OUTPUT_HTTP_CLIENT_PROXY_URL
OUTPUT_HTTP_CLIENT_RATE_LIMIT
OUTPUT_HTTP_CLIENT_RETRIES                               = 3
OUTPUT_HTTP_CLIENT_RETRY_PERIOD                          = 1s
OUTPUT_HTTP_CLIENT_TIMEOUT                               = 5s
OUTPUT_HTTP_CLIENT_TLS_ENABLED                           = false
OUTPUT_HTTP_CLIENT_TLS_ROOT_CAS_FILE
OUTPUT_HTTP_CLIENT_TLS_SKIP_CERT_VERIFY                  = false
OUTPUT_HTTP_CLIENT_URL                                   = http://localhost:4195/post
OUTPUT_HTTP_CLIENT_VERB                                  = POST
OUTPUT_HTTP_SERVER_ADDRESS
OUTPUT_HTTP_SERVER_ALLOWED_VERBS                         = GET
OUTPUT_HTTP_SERVER_CERT_FILE
OUTPUT_HTTP_SERVER_KEY_FILE
OUTPUT_HTTP_SERVER_PATH                                  = /get
OUTPUT_HTTP_SERVER_STREAM_PATH                           = /get/stream
OUTPUT_HTTP_SERVER_TIMEOUT                               = 5s
OUTPUT_HTTP_SERVER_WS_PATH                               = /get/ws
OUTPUT_INPROC
OUTPUT_KAFKA_ACK_REPLICAS                                = false
OUTPUT_KAFKA_ADDRESSES                                   = localhost:9092
OUTPUT_KAFKA_BACKOFF_INITIAL_INTERVAL                    = 3s
OUTPUT_KAFKA_BACKOFF_MAX_ELAPSED_TIME                    = 30s
OUTPUT_KAFKA_BACKOFF_MAX_INTERVAL                        = 10s
OUTPUT_KAFKA_BATCHING_BYTE_SIZE                          = 0
OUTPUT_KAFKA_BATCHING_CHECK
OUTPUT_KAFKA_BATCHING_COUNT                              = 0
OUTPUT_KAFKA_BATCHING_PERIOD
OUTPUT_KAFKA_CLIENT_ID                                   = benthos_kafka_output
OUTPUT_KAFKA_COMPRESSION                                 = none
OUTPUT_KAFKA_KEY
OUTPUT_KAFKA_MAX_IN_FLIGHT                               = 1
OUTPUT_KAFKA_MAX_MSG_BYTES                               = 1000000
OUTPUT_KAFKA_MAX_RETRIES                                 = 0
OUTPUT_KAFKA_PARTITIONER                                 = fnv1a_hash
OUTPUT_KAFKA_RETRY_AS_BATCH                              = false
OUTPUT_KAFKA_ROUND_ROBIN_PARTITIONS                      = false
OUTPUT_KAFKA_SASL_ACCESS_TOKEN
OUTPUT_KAFKA_SASL_ENABLED                                = false
OUTPUT_KAFKA_SASL_MECHANISM
OUTPUT_KAFKA_SASL_PASSWORD
OUTPUT_KAFKA_SASL_TOKEN_CACHE
OUTPUT_KAFKA_SASL_TOKEN_KEY
OUTPUT_KAFKA_SASL_USER
OUTPUT_KAFKA_TARGET_VERSION                              = 1.0.0
OUTPUT_KAFKA_TIMEOUT                                     = 5s
OUTPUT_KAFKA_TLS_ENABLED                                 = false
OUTPUT_KAFKA_TLS_ROOT_CAS_FILE
OUTPUT_KAFKA_TLS_SKIP_CERT_VERIFY                        = false
OUTPUT_KAFKA_TOPIC                                       = benthos_stream
OUTPUT_KINESIS_BACKOFF_INITIAL_INTERVAL                  = 1s
OUTPUT_KINESIS_BACKOFF_MAX_ELAPSED_TIME                  = 30s
OUTPUT_KINESIS_BACKOFF_MAX_INTERVAL                      = 5s
OUTPUT_KINESIS_BATCHING_BYTE_SIZE                        = 0
OUTPUT_KINESIS_BATCHING_CHECK
OUTPUT_KINESIS_BATCHING_COUNT                            = 0
OUTPUT_KINESIS_BATCHING_PERIOD
OUTPUT_KINESIS_CREDENTIALS_ID
OUTPUT_KINESIS_CREDENTIALS_PROFILE
OUTPUT_KINESIS_CREDENTIALS_ROLE
OUTPUT_KINESIS_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_KINESIS_CREDENTIALS_SECRET
OUTPUT_KINESIS_CREDENTIALS_TOKEN
OUTPUT_KINESIS_ENDPOINT
OUTPUT_KINESIS_FIREHOSE_BACKOFF_INITIAL_INTERVAL         = 1s
OUTPUT_KINESIS_FIREHOSE_BACKOFF_MAX_ELAPSED_TIME         = 30s
OUTPUT_KINESIS_FIREHOSE_BACKOFF_MAX_INTERVAL             = 5s
OUTPUT_KINESIS_FIREHOSE_BATCHING_BYTE_SIZE               = 0
OUTPUT_KINESIS_FIREHOSE_BATCHING_CHECK
OUTPUT_KINESIS_FIREHOSE_BATCHING_COUNT                   = 0
OUTPUT_KINESIS_FIREHOSE_BATCHING_PERIOD
OUTPUT_KINESIS_FIREHOSE_CREDENTIALS_ID
OUTPUT_KINESIS_FIREHOSE_CREDENTIALS_PROFILE
OUTPUT_KINESIS_FIREHOSE_CREDENTIALS_ROLE
OUTPUT_KINESIS_FIREHOSE_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_KINESIS_FIREHOSE_CREDENTIALS_SECRET
OUTPUT_KINESIS_FIREHOSE_CREDENTIALS_TOKEN
OUTPUT_KINESIS_FIREHOSE_ENDPOINT
OUTPUT_KINESIS_FIREHOSE_MAX_IN_FLIGHT                    = 1
OUTPUT_KINESIS_FIREHOSE_MAX_RETRIES                      = 0
OUTPUT_KINESIS_FIREHOSE_REGION                           = eu-west-1
OUTPUT_KINESIS_FIREHOSE_STREAM
OUTPUT_KINESIS_HASH_KEY
OUTPUT_KINESIS_MAX_IN_FLIGHT                             = 1
OUTPUT_KINESIS_MAX_RETRIES                               = 0
OUTPUT_KINESIS_PARTITION_KEY
OUTPUT_KINESIS_REGION                                    = eu-west-1
OUTPUT_KINESIS_STREAM
OUTPUT_MQTT_CLIENT_ID                                    = benthos_output
OUTPUT_MQTT_MAX_IN_FLIGHT                                = 1
OUTPUT_MQTT_PASSWORD
OUTPUT_MQTT_QOS                                          = 1
OUTPUT_MQTT_TOPIC                                        = benthos_topic
OUTPUT_MQTT_URLS                                         = tcp://localhost:1883
OUTPUT_MQTT_USER
OUTPUT_NANOMSG_BIND                                      = false
OUTPUT_NANOMSG_MAX_IN_FLIGHT                             = 1
OUTPUT_NANOMSG_POLL_TIMEOUT                              = 5s
OUTPUT_NANOMSG_SOCKET_TYPE                               = PUSH
OUTPUT_NANOMSG_URLS                                      = tcp://localhost:5556
OUTPUT_NATS_MAX_IN_FLIGHT                                = 1
OUTPUT_NATS_STREAM_CLIENT_ID                             = benthos_client
OUTPUT_NATS_STREAM_CLUSTER_ID                            = test-cluster
OUTPUT_NATS_STREAM_MAX_IN_FLIGHT                         = 1
OUTPUT_NATS_STREAM_SUBJECT                               = benthos_messages
OUTPUT_NATS_STREAM_URLS                                  = nats://127.0.0.1:4222
OUTPUT_NATS_SUBJECT                                      = benthos_messages
OUTPUT_NATS_URLS                                         = nats://127.0.0.1:4222
OUTPUT_NSQ_MAX_IN_FLIGHT                                 = 1
OUTPUT_NSQ_NSQD_TCP_ADDRESS                              = localhost:4150
OUTPUT_NSQ_TLS_ENABLED                                   = false
OUTPUT_NSQ_TLS_ROOT_CAS_FILE
OUTPUT_NSQ_TLS_SKIP_CERT_VERIFY                          = false
OUTPUT_NSQ_TOPIC                                         = benthos_messages
OUTPUT_NSQ_USER_AGENT                                    = benthos_producer
OUTPUT_REDIS_HASH_KEY
OUTPUT_REDIS_HASH_KIND                                   = simple
OUTPUT_REDIS_HASH_MASTER
OUTPUT_REDIS_HASH_MAX_IN_FLIGHT                          = 1
OUTPUT_REDIS_HASH_TLS_ENABLED                            = false
OUTPUT_REDIS_HASH_TLS_ROOT_CAS_FILE
OUTPUT_REDIS_HASH_TLS_SKIP_CERT_VERIFY                   = false
OUTPUT_REDIS_HASH_URL                                    = tcp://localhost:6379
OUTPUT_REDIS_HASH_WALK_JSON_OBJECT                       = false
OUTPUT_REDIS_HASH_WALK_METADATA                          = false
OUTPUT_REDIS_LIST_KEY                                    = benthos_list
OUTPUT_REDIS_LIST_KIND                                   = simple
OUTPUT_REDIS_LIST_MASTER
OUTPUT_REDIS_LIST_MAX_IN_FLIGHT                          = 1
OUTPUT_REDIS_LIST_TLS_ENABLED                            = false
OUTPUT_REDIS_LIST_TLS_ROOT_CAS_FILE
OUTPUT_REDIS_LIST_TLS_SKIP_CERT_VERIFY                   = false
OUTPUT_REDIS_LIST_URL                                    = tcp://localhost:6379
OUTPUT_REDIS_PUBSUB_CHANNEL                              = benthos_chan
OUTPUT_REDIS_PUBSUB_KIND                                 = simple
OUTPUT_REDIS_PUBSUB_MASTER
OUTPUT_REDIS_PUBSUB_MAX_IN_FLIGHT                        = 1
OUTPUT_REDIS_PUBSUB_TLS_ENABLED                          = false
OUTPUT_REDIS_PUBSUB_TLS_ROOT_CAS_FILE
OUTPUT_REDIS_PUBSUB_TLS_SKIP_CERT_VERIFY                 = false
OUTPUT_REDIS_PUBSUB_URL                                  = tcp://localhost:6379
OUTPUT_REDIS_STREAMS_BODY_KEY                            = body
OUTPUT_REDIS_STREAMS_KIND                                = simple
OUTPUT_REDIS_STREAMS_MASTER
OUTPUT_REDIS_STREAMS_MAX_IN_FLIGHT                       = 1
OUTPUT_REDIS_STREAMS_MAX_LENGTH                          = 0
OUTPUT_REDIS_STREAMS_STREAM                              = benthos_stream
OUTPUT_REDIS_STREAMS_TLS_ENABLED                         = false
OUTPUT_REDIS_STREAMS_TLS_ROOT_CAS_FILE
OUTPUT_REDIS_STREAMS_TLS_SKIP_CERT_VERIFY                = false
OUTPUT_REDIS_STREAMS_URL                                 = tcp://localhost:6379
OUTPUT_REJECT
OUTPUT_RESOURCE
OUTPUT_S3_BATCHING_BYTE_SIZE                             = 0
OUTPUT_S3_BATCHING_CHECK
OUTPUT_S3_BATCHING_COUNT                                 = 0
OUTPUT_S3_BATCHING_PERIOD
OUTPUT_S3_BUCKET
OUTPUT_S3_CONTENT_ENCODING
OUTPUT_S3_CONTENT_TYPE                                   = application/octet-stream
OUTPUT_S3_CREDENTIALS_ID
OUTPUT_S3_CREDENTIALS_PROFILE
OUTPUT_S3_CREDENTIALS_ROLE
OUTPUT_S3_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_S3_CREDENTIALS_SECRET
OUTPUT_S3_CREDENTIALS_TOKEN
OUTPUT_S3_ENDPOINT
OUTPUT_S3_FORCE_PATH_STYLE_URLS                          = false
OUTPUT_S3_KMS_KEY_ID
OUTPUT_S3_MAX_IN_FLIGHT                                  = 1
OUTPUT_S3_PATH                                           = ${!count("files")}-${!timestamp_unix_nano()}.txt
OUTPUT_S3_REGION                                         = eu-west-1
OUTPUT_S3_STORAGE_CLASS                                  = STANDARD
OUTPUT_S3_TIMEOUT                                        = 5s
OUTPUT_SFTP_ADDRESS
OUTPUT_SFTP_CODEC                                        = all-bytes
OUTPUT_SFTP_CREDENTIALS_PASSWORD
OUTPUT_SFTP_CREDENTIALS_USERNAME
OUTPUT_SFTP_MAX_IN_FLIGHT                                = 1
OUTPUT_SFTP_PATH
OUTPUT_SNS_CREDENTIALS_ID
OUTPUT_SNS_CREDENTIALS_PROFILE
OUTPUT_SNS_CREDENTIALS_ROLE
OUTPUT_SNS_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_SNS_CREDENTIALS_SECRET
OUTPUT_SNS_CREDENTIALS_TOKEN
OUTPUT_SNS_ENDPOINT
OUTPUT_SNS_MAX_IN_FLIGHT                                 = 1
OUTPUT_SNS_REGION                                        = eu-west-1
OUTPUT_SNS_TIMEOUT                                       = 5s
OUTPUT_SNS_TOPIC_ARN
OUTPUT_SOCKET_ADDRESS                                    = /tmp/benthos.sock
OUTPUT_SOCKET_CODEC                                      = lines
OUTPUT_SOCKET_NETWORK                                    = unix
OUTPUT_SQL_BATCHING_BYTE_SIZE                            = 0
OUTPUT_SQL_BATCHING_CHECK
OUTPUT_SQL_BATCHING_COUNT                                = 0
OUTPUT_SQL_BATCHING_PERIOD
OUTPUT_SQL_DATA_SOURCE_NAME
OUTPUT_SQL_DRIVER                                        = mysql
OUTPUT_SQL_MAX_IN_FLIGHT                                 = 1
OUTPUT_SQL_QUERY
OUTPUT_SQS_BACKOFF_INITIAL_INTERVAL                      = 1s
OUTPUT_SQS_BACKOFF_MAX_ELAPSED_TIME                      = 30s
OUTPUT_SQS_BACKOFF_MAX_INTERVAL                          = 5s
OUTPUT_SQS_BATCHING_BYTE_SIZE                            = 0
OUTPUT_SQS_BATCHING_CHECK
OUTPUT_SQS_BATCHING_COUNT                                = 0
OUTPUT_SQS_BATCHING_PERIOD
OUTPUT_SQS_CREDENTIALS_ID
OUTPUT_SQS_CREDENTIALS_PROFILE
OUTPUT_SQS_CREDENTIALS_ROLE
OUTPUT_SQS_CREDENTIALS_ROLE_EXTERNAL_ID
OUTPUT_SQS_CREDENTIALS_SECRET
OUTPUT_SQS_CREDENTIALS_TOKEN
OUTPUT_SQS_ENDPOINT
OUTPUT_SQS_MAX_IN_FLIGHT                                 = 1
OUTPUT_SQS_MAX_RETRIES                                   = 0
OUTPUT_SQS_MESSAGE_DEDUPLICATION_ID
OUTPUT_SQS_MESSAGE_GROUP_ID
OUTPUT_SQS_REGION                                        = eu-west-1
OUTPUT_SQS_URL
OUTPUT_STDOUT_DELIMITER
OUTPUT_SUBPROCESS_CODEC                                  = lines
OUTPUT_SUBPROCESS_NAME
OUTPUT_TABLE_STORAGE_BATCHING_BYTE_SIZE                  = 0
OUTPUT_TABLE_STORAGE_BATCHING_CHECK
OUTPUT_TABLE_STORAGE_BATCHING_COUNT                      = 0
OUTPUT_TABLE_STORAGE_BATCHING_PERIOD
OUTPUT_TABLE_STORAGE_INSERT_TYPE                         = INSERT
OUTPUT_TABLE_STORAGE_MAX_IN_FLIGHT                       = 1
OUTPUT_TABLE_STORAGE_PARTITION_KEY
OUTPUT_TABLE_STORAGE_ROW_KEY
OUTPUT_TABLE_STORAGE_STORAGE_ACCESS_KEY
OUTPUT_TABLE_STORAGE_STORAGE_ACCOUNT
OUTPUT_TABLE_STORAGE_STORAGE_CONNECTION_STRING
OUTPUT_TABLE_STORAGE_TABLE_NAME
OUTPUT_TABLE_STORAGE_TIMEOUT                             = 5s
OUTPUT_TCP_ADDRESS                                       = localhost:4194
OUTPUT_UDP_ADDRESS                                       = localhost:4194
OUTPUT_WEBSOCKET_BASIC_AUTH_ENABLED                      = false
OUTPUT_WEBSOCKET_BASIC_AUTH_PASSWORD
OUTPUT_WEBSOCKET_BASIC_AUTH_USERNAME
OUTPUT_WEBSOCKET_OAUTH_ACCESS_TOKEN
OUTPUT_WEBSOCKET_OAUTH_ACCESS_TOKEN_SECRET
OUTPUT_WEBSOCKET_OAUTH_CONSUMER_KEY
OUTPUT_WEBSOCKET_OAUTH_CONSUMER_SECRET
OUTPUT_WEBSOCKET_OAUTH_ENABLED                           = false
OUTPUT_WEBSOCKET_OAUTH_REQUEST_URL
OUTPUT_WEBSOCKET_URL                                     = ws://localhost:4195/post/ws
OUTPUT_ZMQ4_BIND                                         = true
OUTPUT_ZMQ4_HIGH_WATER_MARK                              = 0
OUTPUT_ZMQ4_POLL_TIMEOUT                                 = 5s
OUTPUT_ZMQ4_SOCKET_TYPE                                  = PUSH
OUTPUT_ZMQ4_URLS                                         = tcp://*:5556
```

## LOGGER

```
LOGGER_ADD_TIMESTAMP = true
LOGGER_FORMAT        = json
LOGGER_JSON_FORMAT   = true
LOGGER_LEVEL         = INFO
LOGGER_PREFIX        = benthos
```

## METRICS

```
METRICS_TYPE                                        = http_server
METRICS_AWS_CLOUDWATCH_CREDENTIALS_ID
METRICS_AWS_CLOUDWATCH_CREDENTIALS_PROFILE
METRICS_AWS_CLOUDWATCH_CREDENTIALS_ROLE
METRICS_AWS_CLOUDWATCH_CREDENTIALS_ROLE_EXTERNAL_ID
METRICS_AWS_CLOUDWATCH_CREDENTIALS_SECRET
METRICS_AWS_CLOUDWATCH_CREDENTIALS_TOKEN
METRICS_AWS_CLOUDWATCH_ENDPOINT
METRICS_AWS_CLOUDWATCH_FLUSH_PERIOD                 = 100ms
METRICS_AWS_CLOUDWATCH_NAMESPACE                    = Benthos
METRICS_AWS_CLOUDWATCH_PATH_MAPPING
METRICS_AWS_CLOUDWATCH_REGION                       = eu-west-1
METRICS_CLOUDWATCH_CREDENTIALS_ID
METRICS_CLOUDWATCH_CREDENTIALS_PROFILE
METRICS_CLOUDWATCH_CREDENTIALS_ROLE
METRICS_CLOUDWATCH_CREDENTIALS_ROLE_EXTERNAL_ID
METRICS_CLOUDWATCH_CREDENTIALS_SECRET
METRICS_CLOUDWATCH_CREDENTIALS_TOKEN
METRICS_CLOUDWATCH_ENDPOINT
METRICS_CLOUDWATCH_FLUSH_PERIOD                     = 100ms
METRICS_CLOUDWATCH_NAMESPACE                        = Benthos
METRICS_CLOUDWATCH_PATH_MAPPING
METRICS_CLOUDWATCH_REGION                           = eu-west-1
METRICS_HTTP_SERVER_PATH_MAPPING
METRICS_HTTP_SERVER_PREFIX                          = benthos
METRICS_INFLUXDB_DB
METRICS_INFLUXDB_INCLUDE_DEBUG_GC
METRICS_INFLUXDB_INCLUDE_RUNTIME
METRICS_INFLUXDB_INTERVAL                           = 1m
METRICS_INFLUXDB_PASSWORD
METRICS_INFLUXDB_PATH_MAPPING
METRICS_INFLUXDB_PING_INTERVAL                      = 20s
METRICS_INFLUXDB_PRECISION                          = s
METRICS_INFLUXDB_RETENTION_POLICY
METRICS_INFLUXDB_TAGS
METRICS_INFLUXDB_TIMEOUT                            = 5s
METRICS_INFLUXDB_TLS_ENABLED                        = false
METRICS_INFLUXDB_TLS_ROOT_CAS_FILE
METRICS_INFLUXDB_TLS_SKIP_CERT_VERIFY               = false
METRICS_INFLUXDB_URL
METRICS_INFLUXDB_USERNAME
METRICS_INFLUXDB_WRITE_CONSISTENCY
METRICS_PROMETHEUS_PATH_MAPPING
METRICS_PROMETHEUS_PREFIX                           = benthos
METRICS_PROMETHEUS_PUSH_BASIC_AUTH_PASSWORD
METRICS_PROMETHEUS_PUSH_BASIC_AUTH_USERNAME
METRICS_PROMETHEUS_PUSH_INTERVAL
METRICS_PROMETHEUS_PUSH_JOB_NAME                    = benthos_push
METRICS_PROMETHEUS_PUSH_URL
METRICS_STATSD_ADDRESS                              = localhost:4040
METRICS_STATSD_FLUSH_PERIOD                         = 100ms
METRICS_STATSD_NETWORK                              = udp
METRICS_STATSD_PATH_MAPPING
METRICS_STATSD_PREFIX                               = benthos
METRICS_STATSD_TAG_FORMAT                           = legacy
METRICS_STDOUT_FLUSH_METRICS                        = false
METRICS_STDOUT_PATH_MAPPING
METRICS_STDOUT_PUSH_INTERVAL
METRICS_STDOUT_STATIC_FIELDS_@SERVICE               = benthos
```
